Library Version 11.2.5.3

operator-=
Prev | Chapter 12. Db_vector_base_iterator | Next

## operator-=

### Function Details

    const self& operator-=(difference_type n)

Move this iterator forward by n elements.

#### Parameters

##### n

The amount and direction of movement. If negative, will move backward by |n| element.

#### Return Value

Reference to this iterator at new position.

### Group: Iterator movement operators.

When we talk about iterator movement, we think the container is a uni-directional range, represented by [begin, end), and this is true no matter we are using iterators or reverse iterators.

When an iterator is moved closer to "begin", we say it is moved forward, otherwise we say it is moved backward.

### Class

db_vector_base_iterator

Prev | Up | Next
operator- | Home | operator *